Skip to main content

Register transfer attempt

Allows to register deposit/withdrawal attempts.


HTTP Request

POST /v1/transfers/register-attempt/


Request

Body fields:

ParameterData typeDescription
client_idString / NullExternal ID of the client associated with the transfer. 40 characters max. Optional.
attempt_idString / NullExternal ID of the attempt. 100 characters max. Optional.
directionStringThe direction of the transfer. Possible values: incoming, outgoing.
networkStringID of the network contains the transfer. Example: TRX.
token_idString / NullThe identifier of the token within the network.
This is a contract address for ERC-20 tokens and “native” for a native token of the network. Optional.
input_addressString / NullAddress of the sender of the transfer. Must be defined if the direction is incoming.
output_addressString / NullAddress of the recipient of the transfer. Must be defined if the direction is outgoing.
amountFloat / NullThe amount of assets. Optional.
risk_modelString / NullThe ID of the risk model that should be applied to the transfer. Optional.

Response

Returns a REGISTERED_TRANSFER_EXTRA object.


Example request

curl -X POST "https://kyt-api.bitok.org/v1/transfers/register-attempt/"   --header "Content-Type: application/json"   --header "Accept: application/json"   --header "API-KEY-ID:{KEY_ID}"   --header "API-TIMESTAMP:{TIMESTAMP}"   --header "API-SIGNATURE:{SIGNATURE}"   --data '{
"client_id": "id0001",
"attempt_id": "0a805206bab649a68b3408032a7352e6",
"direction": "outgoing",
"network": "ETH",
"output_address": "0x56eddb7aa87536c09ccc2793473599fd21a8b17f",
"amount": 120.5
}'

Example response

{
"id": "05c69c2a-5602-4efe-9ae3-816b695fad36",
"client_id": "id0001",
"attempt_id": "0a805206bab649a68b3408032a7352e6",
"registered_at": "2025-11-17T13:07:36.508069+03:00",
"risk_level": "undefined",
"risk_score": null,
"network": "ETH",
"token_id": "native",
"token_symbol": "ETH",
"tx_status": "none",
"tx_hash": null,
"occurred_at": null,
"input_address": null,
"output_address": "0x56eddb7aa87536c09ccc2793473599fd21a8b17f",
"direction": "outgoing",
"amount": 120.5,
"value_in_fiat": 291975.15,
"check_state": {
"exposure": "none",
"exposure_checked_at": null,
"counterparty": "queued",
"counterparty_checked_at": null,
"sanctions": "none",
"sanctions_checked_at": null
},
"fiat_currency": "USD"
}

Try it

POST/v1/transfers/register-attempt/
API KEY ID
API KEY SECRET
Body (JSON)
HTTP Request
Press "Send Request" to generate HTTP request.
HTTP …
{
// Response will be shown here after the request.
}